Bug 1304040 - Review Request: docker-anaconda-addon - Anaconda kickstart support for Docker
Review Request: docker-anaconda-addon - Anaconda kickstart support for Docker
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 12:57 EST by Brian Lane
Modified: 2016-02-11 08:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2016-02-02 12:57:03 EST
Spec URL: https://bcl.fedorapeople.org/docker-anaconda-addon/docker-anaconda-addon-0.1-1.fc24.src.rpm
SRPM URL: https://bcl.fedorapeople.org/docker-anaconda-addon/docker-anaconda-addon-0.1-1.fc24.src.rpm
Description: Add a kickstart addon section to Anaconda, com_redhat_docker, to run Docker on the newly installed system during the installation process.
Fedora Account System Username: bcl
Comment 1 David Shea 2016-02-09 16:18:38 EST
- The github archive doesn't include translations. Source0 should be the make release archive instead.

- Related to that, po/Makefile doesn't use $(DESTDIR)

- Unless I missed something, python3-polib and python3-pylint do not need to be in the Requires.

- There might as well be a %check, since you're pulling in pylint as a BuildRequires. But for that python3-pylint should actually be python3-pocketlint, and anaconda-core would need to be added as a BuildRequires for the imports. (and probably also python3-sphinx_rtd_theme since docs/conf.py gets checked) Or just drop the pylint BuildRequires since it gets checked in jenkins already anyway.

- I don't think python3-devel is needed either, since none of the usual python macros are being used.

- Huh, nothing owns /usr/share/anaconda/addons. I guess we oughta fix that in anaconda.
Comment 2 David Shea 2016-02-10 10:31:45 EST
(In reply to David Shea from comment #1)
> - Related to that, po/Makefile doesn't use $(DESTDIR)

Never mind, I see $RPM_BUILD_ROOT in there now.

> - Huh, nothing owns /usr/share/anaconda/addons. I guess we oughta fix that
> in anaconda.

https://github.com/rhinstaller/anaconda/pull/500 fixes that.
Comment 3 Brian Lane 2016-02-10 13:17:20 EST
Spec URL: https://bcl.fedorapeople.org/docker-anaconda-addon/docker-anaconda-addon.spec
SRPM URL: https://bcl.fedorapeople.org/docker-anaconda-addon/docker-anaconda-addon-0.2-1.fc24.src.rpm

This update removes pylint requirement, I didn't add %check since it always gets run when doing the release and in Jenkins. The python3-devel is required by the packaging guidelines (and I think it make sure the right python version is in the buildroot) so I left it.

The Makefile wasn't including the ./po/*po files :) So I fixed that and added the necessary bits to the spec to pick up the translations.
Comment 4 David Shea 2016-02-10 14:45:57 EST
Looks good. Here goes the checklist:

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 26 files have
     unknown license. Detailed output of licensecheck in
     /home/dshea/1304040-docker-anaconda-addon/licensecheck.txt

(For these two, /usr/share/anaconda/addons is fixed in anaconda, and for the other stuff I guess I get to file a bug against filesystem. Or ignore it!)
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/anaconda/addons,
     /usr/share/locale/kw_GB/LC_MESSAGES,
     /usr/share/locale/kw@kkcor/LC_MESSAGES,
     /usr/share/locale/kw@uccor/LC_MESSAGES,
     /usr/share/locale/wba/LC_MESSAGES, /usr/share/locale/kw@uccor,
     /usr/share/locale/kw_GB, /usr/share/locale/kw@kkcor,
     /usr/share/locale/wba
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/kw@uccor/LC_MESSAGES,
     /usr/share/locale/wba/LC_MESSAGES, /usr/share/locale/kw@uccor,
     /usr/share/locale/kw@kkcor, /usr/share/locale/kw_GB/LC_MESSAGES,
     /usr/share/locale/kw_GB, /usr/share/anaconda/addons,
     /usr/share/locale/wba, /usr/share/locale/kw@kkcor/LC_MESSAGES
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
     (there's a Makefile target, that's good enough)
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     (There is no %check but checks are run in Jenkins upstream so that's close enough)
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: docker-anaconda-addon-0.2-1.fc24.noarch.rpm
          docker-anaconda-addon-0.2-1.fc24.src.rpm
docker-anaconda-addon.noarch: W: spelling-error Summary(en_US) kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.noarch: W: spelling-error %description -l en_US kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.noarch: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
docker-anaconda-addon.src: W: spelling-error Summary(en_US) kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.src: W: spelling-error %description -l en_US kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.src: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
docker-anaconda-addon.src: W: invalid-url Source0: docker-anaconda-addon-0.2.tar.gz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
docker-anaconda-addon.noarch: W: spelling-error Summary(en_US) kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.noarch: W: spelling-error %description -l en_US kickstart -> kick start, kick-start, kicks tart
docker-anaconda-addon.noarch: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
docker-anaconda-addon (rpmlib, GLIBC filtered):
    anaconda-core
    docker
    docker-selinux
    docker-utils



Provides
--------
docker-anaconda-addon:
    docker-anaconda-addon



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1304040
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Gwyn Ciesla 2016-02-11 08:39:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/docker-anaconda-addon

Note You need to log in before you can comment on or make changes to this bug.